# Ogre::ResourceGroupManager::ResourceDeclaration Struct Reference

Nested struct defining a resource declaration. More...

`#include <OgreResourceGroupManager.h>`

List of all members.

## Public Attributes

String | resourceName
String | resourceType
NameValuePairList | parameters

## Detailed Description

Nested struct defining a resource declaration.

Definition at line 170 of file OgreResourceGroupManager.h.

## Member Data Documentation

NameValuePairList Ogre::ResourceGroupManager::ResourceDeclaration::parameters

| Definition at line 174 of file OgreResourceGroupManager.h.

String Ogre::ResourceGroupManager::ResourceDeclaration::resourceName

| Definition at line 172 of file OgreResourceGroupManager.h.

String Ogre::ResourceGroupManager::ResourceDeclaration::resourceType

| Definition at line 173 of file OgreResourceGroupManager.h.

The documentation for this struct was generated from the following file:

- OgreResourceGroupManager.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:02:53 2006